slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDTRLanczosGetScale

Gets the scale parameter for the GSVD.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosGetScale(SVD svd,PetscReal *scale)

Not Collective

### Input Parameter

| svd | - the singular value solver

### Output Parameter

| scale | - the scale parameter

### Notes

This parameter is relevant for the GSVD case only. If the parameter is positive, it indicates the scale factor for B in matrix Z=[A;B]. If negative, its absolute value is the threshold for automatic scaling.

### See Also

SVDTRLanczosSetScale()

### Level

advanced

### Location

src/svd/impls/trlanczos/trlanczos.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages